Bug 41492 - Rebuild qemu for xen update
Rebuild qemu for xen update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - Xen
UCS 3.3
Other Linux
: P5 normal (vote)
: UCS 3.3-0-errata
Assigned To: Janek Walkenhorst
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-08 15:22 CEST by Janek Walkenhorst
Modified: 2016-09-21 21:22 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Release Management
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Walkenhorst univentionstaff 2016-06-08 15:22:49 CEST
qemu-system (SP:qemu) does not work because:

# ldd /usr/bin/qemu-system-i386 |grep found
        libxenctrl.so.4.0 => not found
        libxenguest.so.4.0 => not found

because the depedency
 libxen4.1 (>= 4.1.3)
is fulfilled by
 libxen4.1 4.1.6.1-8.60.201605181600
which does not actually provide the libraries.
Comment 1 Janek Walkenhorst univentionstaff 2016-06-08 18:28:17 CEST
Rebuilt.

Advisory: qemu.yaml
Tests: OK
Comment 2 Philipp Hahn univentionstaff 2016-06-13 11:43:53 CEST
OK: errata-announce -V --only qemu.yaml
OK: qemu.yaml

FIXED: 3.1/unmaintained/ 3.1-0/amd64/ libfdt1 1.3.0-2.4.201209051921
 dcmd */device-tree-compiler_1.3.0-2.4.201209051921_*.changes | sed -re 's,^(i386|amd64)/(.+\.(dsc|(diff|tar)(\.(gz|xz|bz2|lzma|Z))?))$,source/\2,' -e 's,^source/(.+_(i386|amd64).u?deb)$,\2/\1,' | sort -u | cpio -p --link ../ucs_3.3-0-errata3.3-0/

r70107 | Bug #41492 qemu: YAML
 device-tree-compiler.yaml

OK: errata-announce -V --only device-tree-compiler.yaml

OK: zless /usr/share/doc/qemu-system/changelog.Debian.gz
OK: qemu-system-x86_64 -m 256 -nographic -serial mon:stdio -kernel /boot/vmlinuz-`uname -r` -append 'verbose loglevel=7 console=ttyS0'